Create a webhook
curl --request POST \
--url https://api.paymentsmojo.com/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"url": "<string>",
"enabled": true,
"scopes": [
"<string>"
],
"headers": [
{
"name": "<string>",
"value": "<string>",
"secret": true
}
],
"bodyTemplate": "<string>"
}
'import requests
url = "https://api.paymentsmojo.com/webhooks"
payload = {
"name": "<string>",
"url": "<string>",
"enabled": True,
"scopes": ["<string>"],
"headers": [
{
"name": "<string>",
"value": "<string>",
"secret": True
}
],
"bodyTemplate": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
url: '<string>',
enabled: true,
scopes: ['<string>'],
headers: [{name: '<string>', value: '<string>', secret: true}],
bodyTemplate: '<string>'
})
};
fetch('https://api.paymentsmojo.com/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.paymentsmojo.com/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'url' => '<string>',
'enabled' => true,
'scopes' => [
'<string>'
],
'headers' => [
[
'name' => '<string>',
'value' => '<string>',
'secret' => true
]
],
'bodyTemplate' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.paymentsmojo.com/webhooks"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"enabled\": true,\n \"scopes\": [\n \"<string>\"\n ],\n \"headers\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"secret\": true\n }\n ],\n \"bodyTemplate\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.paymentsmojo.com/webhooks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"enabled\": true,\n \"scopes\": [\n \"<string>\"\n ],\n \"headers\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"secret\": true\n }\n ],\n \"bodyTemplate\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.paymentsmojo.com/webhooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"enabled\": true,\n \"scopes\": [\n \"<string>\"\n ],\n \"headers\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"secret\": true\n }\n ],\n \"bodyTemplate\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"endpoint": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>",
"enabled": true,
"scopes": [
"<string>"
],
"headers": [
{
"name": "<string>",
"value": "<string>",
"valueLast4": "<string>",
"secret": true
}
],
"bodyTemplate": "<string>",
"standardBody": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdByName": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedByName": "<string>",
"lastSentAt": "2023-11-07T05:31:56Z",
"waiting": 123,
"failedThisWeek": 123,
"createdByApiKeyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByApiKeyRevokedAt": "2023-11-07T05:31:56Z"
},
"signingSecret": "<string>"
}{
"endpoint": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>",
"enabled": true,
"scopes": [
"<string>"
],
"headers": [
{
"name": "<string>",
"value": "<string>",
"valueLast4": "<string>",
"secret": true
}
],
"bodyTemplate": "<string>",
"standardBody": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdByName": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedByName": "<string>",
"lastSentAt": "2023-11-07T05:31:56Z",
"waiting": 123,
"failedThisWeek": 123,
"createdByApiKeyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByApiKeyRevokedAt": "2023-11-07T05:31:56Z"
},
"signingSecret": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"errors": {}
}Webhooks
Create a webhook
Registers an endpoint to be told about the scopes given (see GET /webhooks/scopes): a POST of JSON over https, with the headers given (such as an AuthKey your platform issued) and the body bodyTemplate describes, or the standard body when it’s left out. The answer includes the endpoint’s signing secret, the only time it’s shown. Send an Idempotency-Key header to make retries safe: a repeat with the same key returns the endpoint already made, with 200 instead of 201.
POST
/
webhooks
Create a webhook
curl --request POST \
--url https://api.paymentsmojo.com/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"url": "<string>",
"enabled": true,
"scopes": [
"<string>"
],
"headers": [
{
"name": "<string>",
"value": "<string>",
"secret": true
}
],
"bodyTemplate": "<string>"
}
'import requests
url = "https://api.paymentsmojo.com/webhooks"
payload = {
"name": "<string>",
"url": "<string>",
"enabled": True,
"scopes": ["<string>"],
"headers": [
{
"name": "<string>",
"value": "<string>",
"secret": True
}
],
"bodyTemplate": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
url: '<string>',
enabled: true,
scopes: ['<string>'],
headers: [{name: '<string>', value: '<string>', secret: true}],
bodyTemplate: '<string>'
})
};
fetch('https://api.paymentsmojo.com/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.paymentsmojo.com/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'url' => '<string>',
'enabled' => true,
'scopes' => [
'<string>'
],
'headers' => [
[
'name' => '<string>',
'value' => '<string>',
'secret' => true
]
],
'bodyTemplate' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.paymentsmojo.com/webhooks"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"enabled\": true,\n \"scopes\": [\n \"<string>\"\n ],\n \"headers\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"secret\": true\n }\n ],\n \"bodyTemplate\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.paymentsmojo.com/webhooks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"enabled\": true,\n \"scopes\": [\n \"<string>\"\n ],\n \"headers\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"secret\": true\n }\n ],\n \"bodyTemplate\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.paymentsmojo.com/webhooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"enabled\": true,\n \"scopes\": [\n \"<string>\"\n ],\n \"headers\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"secret\": true\n }\n ],\n \"bodyTemplate\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"endpoint": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>",
"enabled": true,
"scopes": [
"<string>"
],
"headers": [
{
"name": "<string>",
"value": "<string>",
"valueLast4": "<string>",
"secret": true
}
],
"bodyTemplate": "<string>",
"standardBody": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdByName": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedByName": "<string>",
"lastSentAt": "2023-11-07T05:31:56Z",
"waiting": 123,
"failedThisWeek": 123,
"createdByApiKeyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByApiKeyRevokedAt": "2023-11-07T05:31:56Z"
},
"signingSecret": "<string>"
}{
"endpoint": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>",
"enabled": true,
"scopes": [
"<string>"
],
"headers": [
{
"name": "<string>",
"value": "<string>",
"valueLast4": "<string>",
"secret": true
}
],
"bodyTemplate": "<string>",
"standardBody": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdByName": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedByName": "<string>",
"lastSentAt": "2023-11-07T05:31:56Z",
"waiting": 123,
"failedThisWeek": 123,
"createdByApiKeyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByApiKeyRevokedAt": "2023-11-07T05:31:56Z"
},
"signingSecret": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"errors": {}
}Authorizations
Body
application/json